Hi all,

I am new to use libpfm4, and have one problem during use this tool.

The question is, I am using one software JikesRVM is built with libpfm4, but when I built it the following error happens.
     [exec] /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.7/../../../libpfm.so when searching for -lpfm
     [exec] /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.7/../../../libpfm.a when searching for -lpfm
     [exec] /usr/bin/ld: skipping incompatible /usr/local/lib/libpfm.so when searching for -lpfm
     [exec] /usr/bin/ld: skipping incompatible /usr/local/lib/libpfm.a when searching for -lpfm
     [exec] /usr/bin/ld: skipping incompatible /usr/lib/libpfm.so when searching for -lpfm
     [exec] /usr/bin/ld: skipping incompatible /usr/lib/libpfm.a when searching for -lpfm
     [exec] /usr/bin/ld: cannot find -lpfm
I can build the examples in libpfm correctly, so libpfm4 should be installed right. But no idea what this error is about?
Please give me some hint on this.
 
Thanks!
Best
Junjie